# OpenLayers.Format.WFSCapabilities

Read WFS Capabilities.

#### Inherits from

- OpenLayers.Format.XML.VersionedOGC

Summary

OpenLayers.Format.WFSCapabilities | Read WFS Capabilities.
Properties |
defaultVersion | {String} Version number to assume if none found.
errorProperty | {String} Which property of the returned object to check for in order to determine whether or not parsing has failed.
Constructor |
OpenLayers.Format.WFSCapabilities | Create a new parser for WFS capabilities.
Functions |
read | Read capabilities data from a string, and return a list of layers.

### Properties

### defaultVersion

{String} Version number to assume if none found. Default is “1.1.0”.

### errorProperty

{String} Which property of the returned object to check for in order to determine whether or not parsing has failed. In the case that the errorProperty is undefined on the returned object, the document will be run through an OGCExceptionReport parser.

### Constructor

### OpenLayers.Format.WFSCapabilities

Create a new parser for WFS capabilities.

#### Parameters

options | {Object} An optional object whose properties will be set on this instance.

### Functions

### read

Read capabilities data from a string, and return a list of layers.

#### Parameters

data | {String} or {DOMElement} data to read/parse.

#### Returns

{Array} List of named layers.

Base class for versioned formats, i.e.
Close